## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name ipywidgets

Name:           python-%{pypi_name}
Version:        8.1.5
Release:        %autorelease
Summary:        IPython HTML widgets for Jupyter

License:        BSD-3-Clause
URL:            http://ipython.org
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%prep
%autosetup -p3 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Wed Mar 26 2025 Lumir Balhar <lbalhar@redhat.com> - 8.1.5-3
- Make ipywidgets available in jupyter lab

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 27 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.5-1
- Update to 8.1.5 (rhbz#2307271)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.3-1
- Update to 8.1.3 (rhbz#2283620)

* Tue Jun 18 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.2-4
- Fix FTBFS with Python 3.13

* Mon Jun 17 2024 Python Maint <python-maint@redhat.com> - 8.1.2-3
- Rebuilt for Python 3.13

* Thu Apr 11 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.2-2
- Fix compatibility with pytest 8

* Fri Feb 09 2024 Lumir Balhar <lbalhar@redhat.com> - 8.1.2-1
- Update to 8.1.2 (rhbz#2263381)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Sep 16 2023 Lumir Balhar <lbalhar@redhat.com> - 8.1.1-1
- Update to 8.1.1 (rhbz#2238692)

* Tue Aug 22 2023 Lumir Balhar <lbalhar@redhat.com> - 8.1.0-1
- Update to 8.1.0 (rhbz#2228034)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 Lumir Balhar <lbalhar@redhat.com> - 8.0.7-1
- Update to 8.0.7 (rhbz#2219625)

* Mon Jul 10 2023 Python Maint <python-maint@redhat.com> - 8.0.6-2
- Rebuilt for Python 3.12

* Wed Mar 29 2023 Lumir Balhar <lbalhar@redhat.com> - 8.0.6-1
- Update to 8.0.6 (rhbz#2182455)

* Wed Mar 22 2023 Lumir Balhar <lbalhar@redhat.com> - 8.0.5-1
- Update to 8.0.5 (rhbz#2180511)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 8.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 22 2022 Lumír Balhar <lbalhar@redhat.com> - 8.0.4-1
- Update to 8.0.4 (rhbz#2155794)

* Wed Dec 07 2022 Lumír Balhar <lbalhar@redhat.com> - 8.0.3-1
- Update to 8.0.3 (rhbz#2151510)

* Sat Sep 03 2022 Lumír Balhar <lbalhar@redhat.com> - 8.0.2-1
- Update to 8.0.2
Resolves: rhbz#2123852

* Mon Aug 22 2022 Lumír Balhar <lbalhar@redhat.com> - 8.0.1-1
- Update to 8.0.1
Resolves: rhbz#2119307

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 7.7.0-3
- Rebuilt for Python 3.11

* Wed Jun 08 2022 Lumír Balhar <lbalhar@redhat.com> - 7.7.0-2
- Fix tests for Python 3.11
Resolves: rhbz#2086425

* Mon May 16 2022 Lumír Balhar <lbalhar@redhat.com> - 7.7.0-1
- Update to 7.7.0

* Thu Feb 03 2022 Lumír Balhar <lbalhar@redhat.com> - 7.6.5-1
- Update to 7.6.5
Resolves: rhbz#2023926

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 01 2021 Lumír Balhar <lbalhar@redhat.com> - 7.6.4-1
- Update to 7.6.4
Resolves: rhbz#1977142

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 7.6.3-2
- Rebuilt for Python 3.10

* Thu Feb 11 2021 Lumír Balhar <lbalhar@redhat.com> - 7.6.3-1
- Update to 7.6.3
Resolves: rhbz#1927539

* Mon Feb 08 2021 Lumír Balhar <lbalhar@redhat.com> - 7.5.1-4
- Fix tests for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 13 2020 Lumír Balhar <lbalhar@redhat.com> - 7.5.1-1
- Initial package.

## END: Generated by rpmautospec
